aboutsummaryrefslogtreecommitdiffhomepage
path: root/src/test/shell
diff options
context:
space:
mode:
authorGravatar Han-Wen Nienhuys <hanwen@google.com>2015-10-29 17:33:35 +0000
committerGravatar Lukacs Berki <lberki@google.com>2015-10-30 09:47:10 +0000
commit826d4801445105552eb80aa96ea8c4a6cfd14b03 (patch)
tree2ea1c235aaec6910f13f4fe6b84e318b4d4468a4 /src/test/shell
parent5cce48f44d8a11658d382fdb7e26d1c8c57e284e (diff)
Don't build Java if testing process-wrapper.
-- MOS_MIGRATED_REVID=106607501
Diffstat (limited to 'src/test/shell')
-rw-r--r--src/test/shell/bazel/BUILD7
-rwxr-xr-xsrc/test/shell/bazel/process-wrapper_test.sh5
2 files changed, 9 insertions, 3 deletions
diff --git a/src/test/shell/bazel/BUILD b/src/test/shell/bazel/BUILD
index 78b3c16944..a9164cf420 100644
--- a/src/test/shell/bazel/BUILD
+++ b/src/test/shell/bazel/BUILD
@@ -216,7 +216,12 @@ sh_test(
name = "process_wrapper_test",
size = "small",
srcs = ["process-wrapper_test.sh"],
- data = [":test-deps"],
+ data = [
+ "test-setup.sh",
+ "testenv.sh",
+ "//src/main/tools:process-wrapper",
+ "//src/test/shell:bashunit",
+ ],
)
sh_test(
diff --git a/src/test/shell/bazel/process-wrapper_test.sh b/src/test/shell/bazel/process-wrapper_test.sh
index 77467a2e53..628d780647 100755
--- a/src/test/shell/bazel/process-wrapper_test.sh
+++ b/src/test/shell/bazel/process-wrapper_test.sh
@@ -18,8 +18,9 @@
#
# Load test environment
-source $(cd "$(dirname "${BASH_SOURCE[0]}")" && pwd)/test-setup.sh \
- || { echo "test-setup.sh not found!" >&2; exit 1; }
+
+source $(cd "$(dirname "${BASH_SOURCE[0]}")" && pwd)/testenv.sh \
+ || { echo "testenv.sh not found!" >&2; exit 1; }
readonly WRAPPER="${bazel_data}/src/main/tools/process-wrapper"
readonly OUT_DIR="${TEST_TMPDIR}/out"